<?php
/**
 * Breadcrumb
 *
 * @package Neo Magazine
 */

$wp_customize->add_section(
	'neo_magazine_breadcrumb',
	array(
		'title' => esc_html__( 'Breadcrumb', 'neo-magazine' ),
		'panel' => 'neo_magazine_theme_options',
	)
);

// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'neo_magazine_enable_breadcrumb',
	array(
		'sanitize_callback' => 'neo_magazine_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Neo_Magazine_Toggle_Switch_Custom_Control(
		$wp_customize,
		'neo_magazine_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'neo-magazine' ),
			'section' => 'neo_magazine_breadcrumb',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'neo_magazine_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'neo_magazine_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'neo-magazine' ),
		'active_callback' => 'neo_magazine_is_breadcrumb_enabled',
		'section'         => 'neo_magazine_breadcrumb',
	)
);
